# UnfreezeBalance

Unstake Aixc that has passed the minimum stake duration to release bandwidth and energy and at the same time Aixchain Power will reduce and all votes will be canceled

**BODY PARAMS**

`{`

**`owner_address`**` ``string`

**`resource`**` ``string`

**`receiver_address`**` ``string`

**`permission_id`**` ``int32`

**`visible`**` ``boolean`

`}`

**Notes:**

* **owner\_address** is default hexString
* **resource** is stake Aiix for 'BANDWIDTH' or 'ENERGY'
* **receiver\_address** is optional,the address that will lose the resource, default hexString
* **permission\_id** is optional, for multi-signature use
* **visible** is optional, Whether the address is in base58 format.

**Input:**

`{`&#x20;

`"owner_address": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7",`&#x20;

`"resource": "ENERGY",`&#x20;

`"visible": true`&#x20;

`}`

**Response:**

`{`&#x20;

`"visible": true, "txID": "90eda9c182369c06e7dad3db7ac2cf72f6f2da8a77f4d5a5b97adefd2b2a5ed1", "raw_data": { "contract": [ { "parameter": { "value": { "resource": "ENERGY", "owner_address": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7" }, "type_url": "type.googleapis.com/protocol.UnfreezeBalanceContract" }, "type": "UnfreezeBalanceContract" } ], "ref_block_bytes": "383e", "ref_block_hash": "205f2dfb256d5783", "expiration": 1640134338000, "timestamp": 1640134278356 }, "raw_data_hex": "0a02383e2208205f2dfb256d578340d0cbfffcdd2f5a55080c12510a34747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e556e667265657a6542616c616e6365436f6e747261637412190a1541a9c46373aeb4749e3ce45aca242b027a46f486f9500170d4f9fbfcdd2f"`&#x20;

`}`

\=> Continue call **gettransactionsign** API then call **broadcasttransaction** API

We will the final result: The transaction created success on Aixchain network.

`{`

`"result":true,`

`"txid":"90eda9c182369c06e7dad3db7ac2cf72f6f2da8a77f4d5a5b97adefd2b2a5ed1"`

`}`

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/account-resources/unfreezebalance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
